import { renderless, api } from '@opentinyvue/vue-renderless/time-panel/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import Scrollbar from '@opentinyvue/vue-scrollbar';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["dodestroy", "pick"],
  components: {
    TinyScrollbar: Scrollbar
  },
  props: [].concat(props, ["emitter"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("transition", {
    attrs: {
      "name": "tiny-zoom-in-top"
    },
    on: {
      "before-enter": _vm.handleMenuEnter,
      "after-leave": _vm.emitDestroy
    }
  }, [_c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.state.visible,
      expression: "state.visible"
    }],
    ref: "popper",
    staticClass: "tiny-picker-panel tiny-time-select tiny-popper",
    class: [_vm.state.popperClass, {
      "not-match-height": !_vm.state.items.length
    }],
    style: {
      width: _vm.state.width + "px"
    }
  }, [_c("tiny-scrollbar", {
    attrs: {
      "noresize": "",
      "wrap-class": "tiny-picker-panel__content"
    }
  }, [_vm.state.items.length ? _c("div", _vm._l(_vm.state.items, function(item) {
    return _c("div", {
      key: item.value,
      staticClass: "tiny-time-select__item",
      class: {
        selected: _vm.state.value === item.value,
        disabled: item.disabled,
        default: item.value === _vm.state.default
      },
      attrs: {
        "disabled": item.disabled
      },
      on: {
        "click": function click($event) {
          return _vm.handleClick(item);
        }
      }
    }, [_vm._v(" " + _vm._s(item.value) + " ")]);
  }), 0) : _c("div", {
    staticClass: "no-match"
  }, [_vm._v(_vm._s(_vm.$t("ui.select.noMatch")))])])], 1)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
